2018-04-20 11:26 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002805OpenFOAM[All Projects] Bugpublic2018-01-11 08:57
Reporterprojectionist 
Assigned Towill 
PrioritynoneSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version15.04
Product Versiondev 
Target VersionFixed in Version5.x 
Summary0002805: Description of particleTrap CloudFunctionObject has minor error
DescriptionIn the header-description of the particleTrap CloudFunctionObject the name of the alpha field in the input-dictionary is given as 'alphaName'.
In the implementation, however, 'alpha' is looked-up in the input-dictionary.
Steps To ReproduceThe header description:

Description
    Traps particles within a given phase fraction for multi-phase cases.

    Model is activated using:
    \verbatim
    particleTrap1
    {
        type particleTrap;
        alphaName alpha; // name volume fraction field
        threshold 0.95; // alpha value below which model is active
    }
    \endverbatim


The relevant line of the constructor:

    alphaName_
    (
        this->coeffDict().template lookupOrDefault<word>("alpha", "alpha")
    ),
Additional InformationObserved in 5.x and dev
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009202

will (manager)

Thanks for the report. Fixed in 5.x by commit ee536e68 and in dev by 352c6bf6.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-09 22:29 projectionist New Issue
2018-01-11 08:57 will Assigned To => will
2018-01-11 08:57 will Status new => resolved
2018-01-11 08:57 will Resolution open => fixed
2018-01-11 08:57 will Fixed in Version => 5.x
2018-01-11 08:57 will Note Added: 0009202
+Issue History